Skip to main content
TARGET_SYSTEM: weclapp
= Supported by Maesn
= On demand - contact us
= Not supported by weclapp

How to connect to weclapp

As a customer of weclapp, you can easily retrieve the API key used for connecting to your weclapp data.
1

Prerequisites

Before you begin, make sure you have the following:
  • A weclapp account with administrator permissions to generate and retrieve the Personal Access Token.
You can sign-up for a free trial at https://www.weclapp.com/en/register/, if you do not have a weclapp account already.
2

Retrieve the API key

Please note: you must replace ‘weclappTenantId’ inside the url’s paths with the id of your instance of weclapp.
Log in to weclapp using your account credentials and the provided url, properly edited with your weclapp tenant id, to generate and retrieve the Access Token: retrieve the Access Token. Enter your password in the ‘API token’ section to generate new API keys.
3

maesn Connect setup

Paste your weclapp api token in to the ‘API key’ field and your weclapp tenant id in to the ‘weclapp Tenant Id’ field in maesn Connect and press ‘submit’. If the Token and the weclapp Id are valid, the connection will be established and a success message will be displayed.You can also use the create account endpoint for this.Your weclapp account is now connected!

Webhooks

Weclapp supports the following parameters for webhooks: Resources:
  • CUSTOMER
  • SUPPLIER
  • INVOICE
  • CREDIT_NOTE
  • SALES_ORDER
Event types:
  • CREATED
  • UPDATED
  • DELETED
Weclapp needs both resource and event type to be able to send webhook events. The subscription is created per customer, which means for each customer, you will create a customized subscription for the events and resources you want to be notified about. To set this up, call Maesn’s create webhook endpoint POST /webhooks?companyId=<companyId> (companyId query parameter required if not using the interactive flow) with the following example body:
Example code snippet
It will return the id associated with the subscription:
Example response
At this point, your system is ready to receive end-user–related events at the callback URL you provided. The event response will provide the following information:
Example event body
To delete the webhook subscription, you can call the DELETE /webhooks/{webhookId}?companyId=<companyId> endpoint provinding both your X-API-KEY and the end user X-ACCOUNT-KEY.
Last modified on July 14, 2026